Complexity:
Subject: Validation is not reset in functional tests
Description

If using the internal request engine (= in functional tests) the validation resolver that contains a 1st level cache for validated objects is
not properly reset.

Associated revisions
Revision 8f0041d5 - 2013-05-29 16:04 - Bastian Waidelich

[BUGFIX] Validation is not reset in functional tests

If using the internal request engine (= in functional tests) the ValidationResolver
that contains a 1st level cache for validated objects is not properly reset.

This change fixes this by introducing a reset() method that is called by
InternalRequestEngine::sendRequest()

Change-Id: I1b4fd0e31ec2f43bdfdf1e6fd40096a7f85254b2
Fixes: #46715
Releases: master, 2.0

Revision 85f4f6ac - 2013-06-24 18:02 - Bastian Waidelich

[BUGFIX] Validation is not reset in functional tests

If using the internal request engine (= in functional tests) the ValidationResolver
that contains a 1st level cache for validated objects is not properly reset.

This change fixes this by introducing a reset() method that is called by
InternalRequestEngine::sendRequest()

Change-Id: I1b4fd0e31ec2f43bdfdf1e6fd40096a7f85254b2
Fixes: #46715
Releases: master, 2.0

History
#1 - 2013-03-27 11:44 - Bastian Waidelich

A case where this breaks functional tests: https://review.typo3.org/#/c/13600/
#2 - 2013-03-27 11:45 - Bastian Waidelich
- Target version deleted (2.0)

#3 - 2013-03-27 11:47 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19346

#4 - 2013-03-28 14:58 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19346

#5 - 2013-05-21 13:24 - Robert Lemke
- Target version set to 2.0.1

#6 - 2013-05-29 16:08 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19346

#7 - 2013-06-24 18:02 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/21638

#8 - 2013-06-25 16:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:85f4f6aced36a935045e6e6428105d679f81a12c.
